Analytický dotaz byl zamítnut
Při tomto problému vrací API stav 422 Unprocessable Content. Hodnota type je https://lingo.dev/docs/api/errors/analytics-query-rejected. Společnou strukturu všech chyb najdete v části Chyby a stavové kódy.
<detail>
Pole#
Kromě standardních položek type, status, title a detail obsahuje tělo odpovědi následující pole. Z jejich hodnot se sestavuje text detail, takže klient může místo něj zobrazit vlastní text.
| Pole | Typ |
|---|---|
rule | "emptyQuery" | "dimensionRepeated" | "axisPlainEntry" | "rangeEmpty" | "derivationRequiresTime" | "derivationRequiresBucketedAxis" | "derivationNotDecomposable" | "previousPeriodNotWholeBuckets" | "previousPeriodOffsetMisaligned" | "previousPeriodOffsetTooShort" | "mixedFilterKinds" | "topNRequiresKeyDimension" | "topNByNotRankable" | "derivedPathNotRequested" | "orderByDimensionNotSelected" | "shareDimensionNotSelected" | "binsNotAscending" | "limitAboveMax" | "detailFieldNotAllowed" | "groupedFieldNotAllowed" | "detailKeyRequired" | "cursorInvalid" | "cursorOrderMismatch" | "keysetColumnNullable" | "maxRangeDays" | "maxBuckets" | "resultTooLarge" | "propertyRequired" |
path | string[] |
Příklad#
json
{
"detail": "<detail>",
"rule": "emptyQuery",
"path": [
"<path>"
],
"type": "https://lingo.dev/docs/api/errors/analytics-query-rejected",
"status": 422,
"title": "Analytics query rejected"
}Koncové body, které chybu vracejí#
GET /v2/organizations/{orgId}/analytics/modelsPOST /v2/organizations/{orgId}/analytics/event-propertiesPOST /v2/organizations/{orgId}/analytics/event-property-keysPOST /v2/organizations/{orgId}/analytics/event-volumePOST /v2/organizations/{orgId}/analytics/eventsPOST /v2/organizations/{orgId}/analytics/events-by-propertyPOST /v2/organizations/{orgId}/analytics/measurement-answersPOST /v2/organizations/{orgId}/analytics/measurement-answers-by-propertyPOST /v2/organizations/{orgId}/analytics/measurement-fieldsPOST /v2/organizations/{orgId}/analytics/measurement-scoresPOST /v2/organizations/{orgId}/analytics/translation-volume